debian: Add debian directory to ease building packages

This commit is contained in:
Ivan Kluchnikov 2014-09-23 13:49:09 +04:00
parent f2f20ad82a
commit 82b4fbd507
13 changed files with 261 additions and 0 deletions

1
debian/autoreconf vendored Normal file
View File

@ -0,0 +1 @@
osmo-bts

5
debian/changelog vendored Normal file
View File

@ -0,0 +1,5 @@
osmo-bts (0.3.0~fw-3) precise; urgency=low
* Initial release
-- Ivan Kluchnikov <Ivan.Kluchnikov@fairwaves.ru> Mon, 5 Aug 2013 13:34:24 +0200

1
debian/compat vendored Normal file
View File

@ -0,0 +1 @@
7

22
debian/control vendored Normal file
View File

@ -0,0 +1,22 @@
Source: osmo-bts
Section: net
Priority: optional
Maintainer: Harald Welte <laforge@gnumonks.org>
Build-Depends: debhelper (>= 7.0.0~), autotools-dev, pkg-config, libosmocore-dev, dh-autoreconf, libosmo-abis-dev, libortp-dev
Standards-Version: 0.3.0
Homepage: http://openbsc.osmocom.org/trac/wiki/OsmoBTS
Vcs-Git: git://git.osmocom.org/osmo-bts
Vcs-Browser: http://cgit.osmocom.org/osmo-bts/
Package: osmo-bts
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libosmocore
Description: Osmocom GSM BTS implementation.
Package: osmo-bts-dbg
Architecture: any
Section: debug
Priority: extra
Depends: osmo-bts (= ${binary:Version}), ${misc:Depends}
Description: Debug symbols for the osmo-bts
Make debugging possible

39
debian/copyright vendored Normal file
View File

@ -0,0 +1,39 @@
This work was packaged for Debian by:
Ivan Kluchnikov <kluchnikovi@gmail.com> on Mon, 5 Aug 2013 13:34:24 +0200
It was downloaded from:
git://git.osmocom.org/osmo-bts
Upstream Author(s):
Harald Welte <laforge@gnumonks.org>
Holger Hans Peter Freyther <zecke@selfish.org>
Andreas Eversberg <Andreas.Eversberg@versatel.de>
Copyright:
Copyright (C) 2011-2013 Harald Welte <laforge@gnumonks.org>
Copyright (C) 2011-2013 Holger Hans Peter Freyther <zecke@selfish.org>
Copyright (C) 2011-2013 Andreas Eversberg <Andreas.Eversberg@versatel.de>
License:
GNU AFFERO GENERAL PUBLIC LICENSE Version 3
The Debian packaging is:
Copyright (C) 2013 Ivan Kluchnikov <kluchnikovi@gmail.com>
# Please chose a license for your packaging work. If the program you package
# uses a mainstream license, using the same license is the safest choice.
# Please avoid to pick license terms that are more restrictive than the
# packaged work, as it may make Debian's contributions unacceptable upstream.
# If you just want it to be GPL version 3, leave the following lines in.
and is licensed under the GPL version 3,
see "/usr/share/common-licenses/GPL-3".
# Please also look if there are files or directories which have a
# different copyright/license attached and list them here.

1
debian/docs vendored Normal file
View File

@ -0,0 +1 @@
README

2
debian/osmo-bts.default vendored Normal file
View File

@ -0,0 +1,2 @@
CONFIG_FILE="/etc/osmocom/osmo-bts.cfg"

3
debian/osmo-bts.dirs vendored Normal file
View File

@ -0,0 +1,3 @@
/etc/osmocom
/var/log/osmocom
/var/lib/osmocom

1
debian/osmo-bts.examples vendored Normal file
View File

@ -0,0 +1 @@
doc/examples

152
debian/osmo-bts.init vendored Executable file
View File

@ -0,0 +1,152 @@
#!/bin/sh
### BEGIN INIT INFO
# Provides: osmo-nitb
# Required-Start: $network $local_fs
# Required-Stop:
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Osmocom GSM network-in-a-box
# Description: A minimal implementation of the GSM Base Station Controller,
# Mobile Switching Center, Home Location regster and all other
# components to run a self-contained GSM network.
### END INIT INFO
# Author: Harald Welte <laforge@gnumonks.org>
# PATH should only include /usr/* if it runs after the mountnfs.sh script
PATH=/sbin:/usr/sbin:/bin:/usr/bin
NAME=osmo-bts # Introduce the short server's name here
DESC="Osmocom GSM Network-in-a-Box" # Introduce a short description here
DAEMON=/usr/bin/osmo-bts # Introduce the server's location here
SCRIPTNAME=/etc/init.d/osmo-bts
# Exit if the package is not installed
[ -x $DAEMON ] || exit 0
# Read configuration variable file if it is present
[ -r /etc/default/osmo-bts ] && . /etc/default/osmo-bts
# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh
# Define LSB log_* functions.
# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
. /lib/lsb/init-functions
DAEMON_ARGS="$DAEMON_ARGS -D -c $CONFIG_FILE -l $HLR_FILE"
#
# Function that starts the daemon/service
#
do_start()
{
# Return
# 0 if daemon has been started
# 1 if daemon was already running
# 2 if daemon could not be started
start-stop-daemon --start --quiet --exec $DAEMON --test > /dev/null \
|| return 1
start-stop-daemon --start --quiet --exec $DAEMON -- \
$DAEMON_ARGS \
|| return 2
# Add code here, if necessary, that waits for the process to be ready
# to handle requests from services started subsequently which depend
# on this one. As a last resort, sleep for some time.
}
#
# Function that stops the daemon/service
#
do_stop()
{
# Return
# 0 if daemon has been stopped
# 1 if daemon was already stopped
# 2 if daemon could not be stopped
# other if a failure occurred
start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --name $NAME
RETVAL="$?"
[ "$RETVAL" = 2 ] && return 2
# Wait for children to finish too if this is a daemon that forks
# and if the daemon is only ever run from this initscript.
# If the above conditions are not satisfied then add some other code
# that waits for the process to drop all resources that could be
# needed by services started subsequently. A last resort is to
# sleep for some time.
start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
[ "$?" = 2 ] && return 2
return "$RETVAL"
}
#
# Function that sends a SIGHUP to the daemon/service
#
do_reload() {
#
# If the daemon can reload its configuration without
# restarting (for example, when it is sent a SIGHUP),
# then implement that here.
#
start-stop-daemon --stop --signal 1 --quiet $PIDFILE --name $NAME
return 0
}
case "$1" in
start)
[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC " "$NAME"
do_start
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
stop)
[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
do_stop
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
status)
status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
;;
#reload|force-reload)
#
# If do_reload() is not implemented then leave this commented out
# and leave 'force-reload' as an alias for 'restart'.
#
#log_daemon_msg "Reloading $DESC" "$NAME"
#do_reload
#log_end_msg $?
#;;
restart|force-reload)
#
# If the "reload" option is implemented then remove the
# 'force-reload' alias
#
log_daemon_msg "Restarting $DESC" "$NAME"
do_stop
case "$?" in
0|1)
do_start
case "$?" in
0) log_end_msg 0 ;;
1) log_end_msg 1 ;; # Old process is still running
*) log_end_msg 1 ;; # Failed to start
esac
;;
*)
# Failed to stop
log_end_msg 1
;;
esac
;;
*)
#echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
exit 3
;;
esac
:

1
debian/osmo-bts.install vendored Normal file
View File

@ -0,0 +1 @@
/usr/bin/osmobts-trx

32
debian/rules vendored Executable file
View File

@ -0,0 +1,32 @@
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets by Bill Allombert 2001
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
DEBIAN := $(shell dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2)
DEBVERS := $(shell echo '$(DEBIAN)' | cut -d- -f1)
VERSION := $(shell echo '$(DEBVERS)' | sed -e 's/[+-].*//' -e 's/~//g')
%:
dh --with autoreconf $@
# This is needed for debian stable (squeeze)
override_dh_autoreconf:
autoreconf --install --force
override_dh_auto_configure:
echo $(VERSION) > .tarball-version
dh_auto_configure -- --enable-trx
override_dh_strip:
dh_strip --dbg-package=osmo-bts-dbg

1
debian/source/format vendored Normal file
View File

@ -0,0 +1 @@
3.0 (native)